From 4850c08998b33b37af99c3312d193b063b3e8174 Mon Sep 17 00:00:00 2001
From: David Faure <faure@kde.org>
Date: Sat, 11 Apr 2020 17:36:25 +0200
Subject: [PATCH] Port to kontactinterface >= 5.14.42, with ifdefs

---
 src/zanshin/kontact/kontact_plugin.cpp | 7 +++++++
 src/zanshin/kontact/kontact_plugin.h   | 5 +++++
 2 files changed, 12 insertions(+)

diff --git a/src/zanshin/kontact/kontact_plugin.cpp b/src/zanshin/kontact/kontact_plugin.cpp
index b03d9674..4b0d2f92 100644
--- a/src/zanshin/kontact/kontact_plugin.cpp
+++ b/src/zanshin/kontact/kontact_plugin.cpp
@@ -33,9 +33,16 @@ Plugin::Plugin(KontactInterface::Core *core, const QVariantList&)
     setComponentName(QStringLiteral("zanshin"), QStringLiteral("zanshin"));
 }
 
+#if KONTACTINTERFACE_VERSION >= QT_VERSION_CHECK(5, 14, 42)
+KParts::Part *Plugin::createPart()
+{
+    return loadPart();
+}
+#else
 KParts::ReadOnlyPart *Plugin::createPart()
 {
     return loadPart();
 }
+#endif
 
 #include "kontact_plugin.moc"
diff --git a/src/zanshin/kontact/kontact_plugin.h b/src/zanshin/kontact/kontact_plugin.h
index 0d45564e..a270ba16 100644
--- a/src/zanshin/kontact/kontact_plugin.h
+++ b/src/zanshin/kontact/kontact_plugin.h
@@ -25,6 +25,7 @@
 #define ZANSHIN_KONTACT_PLUGIN_H
 
 #include <KontactInterface/Plugin>
+#include <kontactinterface_version.h>
 
 class Plugin : public KontactInterface::Plugin
 {
@@ -36,7 +37,11 @@ public:
     int weight() const override { return 449; }
 
 protected:
+#if KONTACTINTERFACE_VERSION >= QT_VERSION_CHECK(5, 14, 42)
+    KParts::Part *createPart() override;
+#else
     KParts::ReadOnlyPart *createPart() override;
+#endif
 };
 
 #endif
-- 
GitLab

